.custom-search-detail {
  main {
    width: 100%;
  }

  .recruitment-box {
    max-width: 1200px;
    padding: 24px 0px;
    margin: auto;
  }

  .searchbtn {
    position: relative;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    min-width: 120px;
    min-height: 48px;
    padding: 12px 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: var(--radius-full);
    border-width: 0px;
    background-color: var(--color-primary-primary);
    color: var(--color-primary-on-primary);
    font-size: var(--font-size-display-xsmall);
    font-weight: var(--font-weight-display-xsmall);
    line-height: var(--line-height-display-xsmall);
    white-space: nowrap;
  }

  .searchbtn::after {
    content: '';
    display: block;
    width: 20px;
    height: 20px;
    background-image: url(../../image/renew/icon-button.svg);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: calc(50% - 10px);
    right: 12px;
  }

  .recruitment-card-list {
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    width: 100%;
    margin-top: 16px;
    gap: 16px 8px;
    padding-left: 16px;
    padding-right: 16px;
  }

  .recruitment-card-list label {
    font-size: var(--font-size-display-xxsmall);
    font-weight: var(--font-weight-display-xxsmall);
    line-height: var(--line-height-display-xxsmall);
    font-family: var(--font-family-display);
    padding-left: 4px;
    text-align: center;
  }

  .recruitment-name {
    font-size: var(--font-size-display-xsmall);
    font-weight: var(--font-weight-display-xsmall);
    line-height: var(--line-height-display-xsmall);
    font-family: var(--font-family-display);
  }

  .recruitment-company-name {
    font-size: var(--font-size-display-xxsmall);
    font-weight: var(--font-weight-display-xxsmall);
    line-height: var(--line-height-display-xxsmall);
    font-family: var(--font-family-display);
    padding-top: 4px;
  }

  .recruitment-salary-min,
  .recruitment-salary-max {
    font-size: var(--font-size-display-small);
    font-weight: var(--font-weight-display-small);
    line-height: var(--line-height-display-small);
    padding: 0 3px;
    font-family: var(--font-family-display);
  }

  .entry-btnbox {
    display: flex;
    justify-content: center;
    gap: 10px;
    padding: 16px;
    box-sizing: border-box;
    width: 100%;
    border-top: solid 1px var(--color-primary-on-primary);
  }

  .entry-btnbox-background {
    background: var(--color-primary-primary-transparent);
    box-shadow: 0px -20px 24px -4px rgba(8, 28, 84, 0.08),
    0px -8px 8px -4px rgba(8, 28, 84, 0.06);
    width: 100%;
    height: 0;
    transition: height 0.3s;
    backdrop-filter: blur(6px);
    position: absolute;
    z-index: -1;
    background: unset;
    height: 70px !important;
  }

  .entry-btnboxall {
    overflow-y: hidden;
    max-height: 0;
    transition: max-height 0.3s;
  }

  .entry-btnboxall.show {
    max-height: 91px;
  }

  .entry-btnboxall.show .entry-btnbox-background {
    background: unset;
    height: 91px;
  }

  /* menu */

  .container2 {
    z-index: 1;
    display: flex;
    flex-direction: column;
    text-align: center;
  }

  .container2 {
    width: 100%;
    left: 0;
    right: 0;
  }

  .not-apply-button {
    background: #fff;
    border: 1px solid #888;
    border-radius: 4px;
    padding: 2px 12px 2px 12px;
    display: flex;
    align-items: center;
    font-size: 14px;
    margin-left: 16px;
    min-width: 101px;
    max-width: 120px;
    flex-shrink: 0;
    width: 100%;
  }

  .not-apply-button:disabled {
    background: #d3d3d3;
    color: #888888;
    cursor: not-allowed;
    opacity: 0.6;
    pointer-events: none;
  }

  .not-apply-button-icon {
    width: 16px;
    height: 16px;
    margin-left: 4px;
  }

  .frm_textarea {
    height: 150px;
    width: 100%;
  }

  .entry-btnbox {
    display: inline-flex !important;
    padding: 10px !important;
  }

  .color-red {
    color: red;
  }

  .padding-0 {
    padding: 0 !important;
  }

  .flex-between {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
  }

  .flex-auto-block {
    display: block;
    flex: 1 1 auto;
    min-width: 0;
  }

  .display-block {
    display: block !important;
  }

  .padding-0-12px {
    padding: 0 12px;
  }

  /* PC */
  @media (min-width: 769px) {
    .container2 {
      align-items: center;
      position: sticky;
      bottom: 0;
      width: 100%;
      left: 0;
      right: 0;
    }
  }

  /* alert */

  .alert-fullbox {
    display: flex;
    justify-content: center;
    width: 608px;
    border-radius: var(--radius-medium);
    z-index: 9;
    text-align: center;
  }

  .alert-box {
    width: 100%;
    padding: 24px;
    background-color: var(--color-background-primary);
    color: var(--color-text-primary);
    text-align: center;
    border-radius: var(--radius-medium);
    display: block;
    z-index: 9;
  }

  .alert-box-1010 {
    padding: 0;
    background-color: var(--color-primary-primary);
    color: var(--color-primary-on-primary);
  }

  .alert-considerbox {
    width: 100%;
    padding: 24px;
    background-color: var(--color-background-primary);
    color: var(--color-text-primary);
    text-align: center;
    border-radius: var(--radius-medium);
    display: flex;
    flex-direction: column;
    gap: 16px;
    z-index: 9;
  }

  .alert-link {
    font-size: var(--font-size-body-small);
    font-weight: var(--font-weight-body-xsmall);
    color: var(--color-text-link-default);
    display: inline-block;
    margin-top: 16px;
    text-decoration: underline;
    font-family: var(--font-family-body);
  }

  .alert-top {
    background-color: var(--color-primary-primary);
    color: var(--color-primary-on-primary);
  }

  .alert-topbox {
    padding: 16px 16px;
  }

  .alert-infobox {
    position: relative;
    font-size: var(--font-size-body-xsmall);
    font-weight: var(--font-weight-body-xsmall);
    padding: 5px 5px;
    border: solid 1px var(--color-warning-container);
    background-color: var(--color-warning-on-container);
    color: var(--color-warning-container);
    border-radius: var(--radius-small);
    margin-bottom: 16px;
    display: flex;
    align-items: center;
    font-family: var(--font-family-body);
  }

  .alert-infomsg {
    text-align: center;
    margin: 10px 0;
    padding: 4px 0 16px 0;
    font-family: var(--font-family-body);
  }

  /* アラートの背景 */

  .alert-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-background-bg-dialog);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 8;
  }

  .alert-overlay:has(.alert-show) {
    display: flex;
  }

  /* PC */
  @media (min-width: 769px) {
    .alert-messagebox {
      background-color: var(--color-background-primary);
      padding: 24px;
      border-radius: 0 0 var(--radius-medium) var(--radius-medium);
      color: var(--color-text-primary);
    }
  }

  /* メイン */
  @media (min-width: 769px) {
    .searchbtn {
      width: 361px;
      margin-top: 16px;
    }
  }

  /* PC */
  @media (min-width: 1281px) {
    .searchbtn {
      width: 30%;
      margin-top: 16px;
    }
  }

  .custom-icon {
    display: flex;
    align-items: center;
  }

  .icon-text {
    padding: 0 12px;
    font-size: 18px;
  }

  .btn-like:disabled {
    background: #d3d3d3;
    color: #888888;
    cursor: not-allowed;
    opacity: 0.6;
    pointer-events: none;
    border: none;
  }
}